%define upstream_name    Algorithm-Numerical-Shuffle
%define upstream_version 2009110301

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Shuffle a list
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
'shuffle' performs a one pass, fair shuffle on a list. If the list is
passed as a reference to an array, the shuffle is done in situ.

The subroutine returns the list in list context, and a reference to the
list in scalar context.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2009110301.0.0-7.mga9
+ Revision: 1808218
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2009110301.0.0-6.mga8
+ Revision: 1503422
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2009110301.0.0-5.mga7
+ Revision: 1281558
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2009110301.0.0-4.mga7
+ Revision: 1162789
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 2009110301.0.0-3.mga6
+ Revision: 1022262
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 2009110301.0.0-2.mga6
+ Revision: 935165
- Mageia 6 Mass Rebuild

* Thu Oct 16 2014 shlomif <shlomif> 2009110301.0.0-1.mga5
+ Revision: 762174
- imported package perl-Algorithm-Numerical-Shuffle


* Thu Oct 16 2014 cpan2dist 2009110301-1mga
- initial mageia release, generated with cpan2dist
